+++
title = "the bread tool"
author = "breadw"
+++

`bread` is a great tool to interact with some of the aspects of the town.
here are the subcommands:

## news

`bread news` lets you read the latest news.
typed by itself, it'll show you the latest four news items.
you can change the number of shown items by running
`bread news -n NUM`.
if there's a specific word or phrase you're looking for,
you can search all the news with `bread news -s QUERY`.

if you're an admin, you can write an article
using `bread news -w`.
the article will show up on the web site in [news](/news).

later, it'd be nice if users could use `bread news`
to write their own news that could be linked from the main news feed.
eventually, we're going to generate gopher, gemini, and RSS pages
from the news as well.

## docs

`bread docs` lets you read breadpunk.club's [documentation](/docs).
it's kind of like a wiki,
except the pages aren't automatically linked.
typed by itself, it'll let you select a document to read
(type `q` or `CTRL-D` to quit).
you can search for a specific phrase by running `bread docs -s QUERY`.
you can write a new document using `bread docs -n` 
(though if it has the same name as another document, it'll fail--
but you can still retrieve it from /tmp).
to edit a document, run `bread docs -e QUERY`,
and choose the one you'd like to edit.

docs are editable by every baker!
so be kind.
