+++
title = "ssh"
author = "breadw"
+++

> a lot of this has been pulled from
> [trash.town](https://trash.town/signup.html),
> at the permission of [~loaf](/~loaf).

Signing up for a breadpunk.club account requires you
to generate a **public key** and a **private key** 
using a tool called SSH.

## requirements

- a unix-like environment, such as
- ubuntu/linux/\*bsd
- macOS
- windows subsystem for linux
- [scoop.sh](https://scoop.sh/)
- SSH

## generating your public and private keys

much like the keys to your house,
SSH keys prevent unknown and unwanted users from 
accessing a system.
if you don't have your keys,
you can't get in!

since computers aren't houses, though,
they don't work exactly the same:
instead of a key and a lock,
you get two keys: a *private key*,
which is only for you and should be kept secret,
and a *public key*, 
which can be shared (and in fact must be for you to log in).

**make sure to run these commands inside a unix-like environment**

1. run `ssh-keygen -t ed25519 -f ~/.ssh/breadpunk.club`
2. enter a password, or press enter if you don't need one
3. enter the password again, or press enter again

this process has generated two files:

- your **private** key `~/.ssh/breadpunk.club` -- *don't* share this with anyone!
- your **public** key `~/.ssh/breadpunk.club.pub`

## sending your public key to breadpunk.club

basically, follow the directions to [join](/join) the club,
and attach your public key `~/.ssh/bredpunk.club.pub` to the email.

## more information

if this is still confusing you,
peruse the information at
[tilde.town](https://tilde.town/wiki/getting-started/ssh.html)
or use [their key generator](https://cgi.tilde.town/users/keymachine).
