+++
title = "We have Gemini User Capsules"
author = "breadw"
date = 2020-05-04
+++

Thanks to a new [gemini server](https://tildegit.org/solderpunk/molly-brown),
we have set up user capsules for everyone on breadpunk.club.
So if you point your
[favorite](https://git.sr.ht/~julienxx/castor)
[gemini](https://rawtext.club/~sloum/bombadillo.html)
[client](https://gemini.circumlunar.space/clients.html)
at <gemini://breadpunk.club/~breadw>,
for instance,
you'll see individual user pages.
You can also see a listing at <gemini://breadpunk.club>.

**What is Gemini?**

Gemini is a new texty protocol that sits somewhere between gopher and http.
Check it out at <https://gemini.circumlunar.space/>,
or of course <gemini://gemini.circumlunar.space>.

**For bakers**

You should have a user directory under `/var/gemini/bakers/`.
Feel free to drop your `*.gmi` files directly under there, or
symlink your directory to your `$HOME`.
The server *does* have CGI capabbilities,
but the admins haven't set any of that up yet.
If you'd like to take a crack at some dynamic Gemini content,
please contact one of them (`man 7 admins`).
